<section>
    <div class="filter-chart">
        <app-admin-chart-molecule></app-admin-chart-molecule>
      </div>
    <section class="setup-list">
        <ul>
            <li *ngFor="let navLink of setupNavLinks" 
            (click)="changeAccordian($event, navLink.name)" [ngClass]="{'active-bar': navLink.active}">
                <span>
                    <div class="image-container">
                        <img [src]="navLink.imgUrl" alt={{navLink.name}}>
                    </div>
                    <span class="title">{{navLink.name}}</span>
                </span>
            </li>
        </ul>
    </section>
    <section class="sub-category">
        <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
        <ul>
            <li *ngFor="let navSubLink of navLinksSubCategory" 
            (click)="changeSubCategory(navSubLink.name)"
            [ngClass]="{'subcat-active-bar': navSubLink.active}">
                <span class="sublist-content">
                    <img *ngIf="!navSubLink.active" [src]="navSubLink.imgUrl" alt={{navSubLink.name}}>
                    <img *ngIf="navSubLink.active" [src]="navSubLink.HoverImgUrl" alt={{navSubLink.name}}>
                    <span class="title">{{navSubLink.name}}</span>
                </span>
            </li>
        </ul>
    </section>
    <section *ngFor="let navLink of setupNavLinks" class="form-container">
        <div *ngIf="navLink.active && navLink.name === 'Master Data Setup'">
            <section class="form-container">
                <div class="header-label">
                    <span class="hr-image">
                        <img class="img-fluid" [src]="navLink.imgUrl" alt="logo">
                    </span>
                    <span class="admin-name">{{navLink.name}}</span>
                </div>
                <mat-tab-group>
                    <mat-tab label="Online Form">
                        <app-hrms-form-molecule [enums]='enums' [employeeList]='employeeList' [data]='data' [employeeList]='employeeList' [employeeList]='data.employeeList' (refreshEmpList)='refreshEmpList($event)'></app-hrms-form-molecule>
                    </mat-tab>
                    <mat-tab label="Upload File">
                        <app-admin-upload-molecule (refreshEmpList)='refreshEmpList($event)'></app-admin-upload-molecule>
                    </mat-tab>
                  </mat-tab-group>
                  <div class="col-lg-12 col-md-12 employees-wrapper no-padding">
                    <mat-accordion>
                        <mat-expansion-panel [expanded]="false" class="disable_ripple">
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    <strong>Available Employees</strong>
                                </mat-panel-title>
                                <mat-panel-description>
                                    Click to view details
                                </mat-panel-description>
                            </mat-expansion-panel-header>
                            <div class="available-emp">
                                <mat-form-field class="filter">
                                    <mat-label>Filter</mat-label>
                                    <input matInput (keyup)="applyFilter($event)" placeholder="Filter by User ID or Employee No">
                                    <i class="fa fa-filter" aria-hidden="true"></i>
                                  </mat-form-field>
                                <table matSort *ngIf="employeeList">
                                    <tr>
                                        <th>S.No</th>
                                        <th>Employee.No</th>
                                        <th mat-sort-header="id">User Id</th>
                                        <th mat-sort-header="firstName">First Name</th>
                                        <th mat-sort-header="lastName">Last Name</th>
                                        <th mat-sort-header="IqamaNo">Iqama No</th>
                                        <th mat-sort-header="action">Action</th>
                
                
                                    </tr>
                                    <tr *ngFor="let user of employeeList; let i = index">
                                        <td class="sno">{{i+1}}</td>
                                        <td>{{user.employeeNumber}}
                                            <span matTooltip="{{user.ebsErrorResponseMessage}}" class="infor-error" *ngIf="!!user.ebsErrorResponseMessage">Error</span>
                                        </td>
                                        <td>{{user.emailAddress}}</td>
                                        <td>{{user.firstName}}</td>
                                        <td>{{user.lastName}}</td>
                                        <td>{{user.iqamaNo}}</td>
                                        <td class="action-btn">
                                            <button mat-raised-button  class="reg-btn"
                                                (click)="openDialog(user)" [disabled]="user.isTermination">Edit</button>
                                        </td>
                                        <td class="action-btn">
                                            <button mat-raised-button *ngIf="!user.isTermination" class="reg-btn"
                                                (click)="deleteUserDialog(user)">Left</button>
                                                <button mat-raised-button *ngIf="user.isTermination" class="reg-btn"
                                                (click)="deleteUserDialog(user)" disabled=true>Ex-Employee</button>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </mat-expansion-panel>
                    </mat-accordion>
                </div>
            </section>
        </div>
    </section>
    <section class="form-container">
        <div class="" *ngIf="subTileName === 'Run Payroll'">
            <app-payroll-action></app-payroll-action>
        </div>
        <div class="" *ngIf="subTileName === 'Salary Element Entries - Single'">
            <app-salary-element-entries-single-molecule></app-salary-element-entries-single-molecule>
        </div>
        <div class="" *ngIf="subTileName === 'Salary Element Entries - Bulk'">
            <app-salary-element-entries-bulk></app-salary-element-entries-bulk>
        </div>
        <div class="" *ngIf="subTileName === 'Monthly Overtime & Short Hours'">
            <app-ot-short-hrs></app-ot-short-hrs>
        </div>
        <div class="" *ngIf="subTileName === 'Recurring Loan Deductions'">
            <app-recurring-loan-deductions></app-recurring-loan-deductions>
        </div>
        <div class="" *ngIf="subTileName === 'Recurring Earnings'">
            <app-recurring-earnings></app-recurring-earnings>
        </div>
        <div class="" *ngIf="subTileName === 'One Time Earnings'">
            <app-one-time-earnings></app-one-time-earnings>
        </div>
        <div class="" *ngIf="subTileName === 'One Time Deductions'">
            <app-one-time-deductions></app-one-time-deductions>
        </div>
        <div class="" *ngIf="subTileName === 'Housing Allowance Management'">
            <app-hosuing-allowance-molecule [employeeList]="employeeList" pageType="housingAllowance"></app-hosuing-allowance-molecule>
        </div>
        <div class="" *ngIf="subTileName === 'Transportation Allowance Mgmt'">
            <app-hosuing-allowance-molecule [employeeList]="employeeList" pageType="travelAllowance"></app-hosuing-allowance-molecule>
        </div>
        <div class="" *ngIf="subTileName === 'Work Calender Policies'">
            <app-work-calender-molecule></app-work-calender-molecule>
        </div>
        <div class="" *ngIf="subTileName === 'Cash Advance Policy'">
            <app-cash-advance-molecule></app-cash-advance-molecule>
        </div>
        <div class="" *ngIf="subTileName === 'Overtime Calculations'">
            <app-overtime-molecule [employeeList]="employeeList"></app-overtime-molecule>
        </div>
        <div class="" *ngIf="subTileName === 'Timesheet Policy'">
            <app-timesheet-policy-molecule></app-timesheet-policy-molecule>
        </div>
    </section>
</section>
